Skip to main content
`Ctrl`+`K`

# scipy.special.eval_laguerre

scipy.special.eval_laguerre(n, x, out=None) = <ufunc 'eval_laguerre'>

  Evaluate Laguerre polynomial at a point.

  The Laguerre polynomials can be defined via the confluent hypergeometric function \({}_1F_1\) as

  \[L_n(x) = {}_1F_1(-n, 1, x).\]

  See 22.5.16 and 22.5.54 in [AS] for details. When \(n\) is an integer the result is a polynomial of degree \(n\).

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer the result is determined via the relation to the confluent hypergeometric function.

    x array_like

      Points at which to evaluate the Laguerre polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    L scalar or ndarray

      Values of the Laguerre polynomial

  See also

  `roots_laguerre`

    roots and quadrature weights of Laguerre polynomials

  `laguerre`

    Laguerre polynomial object

  `numpy.polynomial.laguerre.Laguerre`

    Laguerre series

  `eval_genlaguerre`

    evaluate generalized Laguerre polynomials

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.